> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://ixopay.ferndocs.com/developer-hub/api-reference/customer-profile-api/delete-profile/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://ixopay.ferndocs.com/_mcp/server. # Delete a customer profile POST https://gateway.ixopay.com/api/v3/customerProfiles/{apiKey}/deleteProfile Content-Type: application/json Reference: https://ixopay.ferndocs.com/developer-hub/api-reference/customer-profile-api/delete-profile ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `apiKey` (string, required) — API Key of Connector ### Body (application/json) This endpoint expects a DeleteProfileRequest. - `profileGuid` (string, optional) - `customerIdentification` (string, optional) ## Response ### 200 Delete a customer profile - `success` (boolean, optional) ## Examples ### Example profileGuid **Request** ```json { "profileGuid": "CP-0000-0000-0000-0000-0000-0000" } ``` **Response** ```json { "success": true } ``` **SDK Code** ```python Example profileGuid import requests url = "https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/deleteProfile" payload = { "profileGuid": "CP-0000-0000-0000-0000-0000-0000" } headers = { "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, auth=("", "")) print(response.json()) ``` ```javascript Example profileGuid const url = 'https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/deleteProfile'; const credentials = btoa(":"); const options = { method: 'POST', headers: { Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json' }, body: '{"profileGuid":"CP-0000-0000-0000-0000-0000-0000"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example profileGuid package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/deleteProfile" payload := strings.NewReader("{\n \"profileGuid\": \"CP-0000-0000-0000-0000-0000-0000\"\n}") req, _ := http.NewRequest("POST", url, payload) req.SetBasicAuth("", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example profileGuid require 'uri' require 'net/http' url = URI("https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/deleteProfile") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request.basic_auth("", "") request["Content-Type"] = 'application/json' request.body = "{\n \"profileGuid\": \"CP-0000-0000-0000-0000-0000-0000\"\n}" response = http.request(request) puts response.read_body ``` ```java Example profileGuid import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/deleteProfile") .basicAuth("", "") .header("Content-Type", "application/json") .body("{\n \"profileGuid\": \"CP-0000-0000-0000-0000-0000-0000\"\n}") .asString(); ``` ```php Example profileGuid request('POST', 'https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/deleteProfile', [ 'body' => '{ "profileGuid": "CP-0000-0000-0000-0000-0000-0000" }', 'headers' => [ 'Content-Type' => 'application/json', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp Example profileGuid using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/deleteProfile"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"profileGuid\": \"CP-0000-0000-0000-0000-0000-0000\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example profileGuid import Foundation let credentials = Data(":".utf8).base64EncodedString() let headers = [ "Authorization": "Basic \(credentials)", "Content-Type": "application/json" ] let parameters = ["profileGuid": "CP-0000-0000-0000-0000-0000-0000"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/deleteProfile")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### Example customerIdentification **Request** ```json { "customerIdentification": "YOUR_CUSTOMER_ID" } ``` **Response** ```json { "success": true } ``` **SDK Code** ```python Example customerIdentification import requests url = "https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/deleteProfile" payload = { "customerIdentification": "YOUR_CUSTOMER_ID" } headers = { "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, auth=("", "")) print(response.json()) ``` ```javascript Example customerIdentification const url = 'https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/deleteProfile'; const credentials = btoa(":"); const options = { method: 'POST', headers: { Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json' }, body: '{"customerIdentification":"YOUR_CUSTOMER_ID"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example customerIdentification package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/deleteProfile" payload := strings.NewReader("{\n \"customerIdentification\": \"YOUR_CUSTOMER_ID\"\n}") req, _ := http.NewRequest("POST", url, payload) req.SetBasicAuth("", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example customerIdentification require 'uri' require 'net/http' url = URI("https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/deleteProfile") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request.basic_auth("", "") request["Content-Type"] = 'application/json' request.body = "{\n \"customerIdentification\": \"YOUR_CUSTOMER_ID\"\n}" response = http.request(request) puts response.read_body ``` ```java Example customerIdentification import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/deleteProfile") .basicAuth("", "") .header("Content-Type", "application/json") .body("{\n \"customerIdentification\": \"YOUR_CUSTOMER_ID\"\n}") .asString(); ``` ```php Example customerIdentification request('POST', 'https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/deleteProfile', [ 'body' => '{ "customerIdentification": "YOUR_CUSTOMER_ID" }', 'headers' => [ 'Content-Type' => 'application/json', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp Example customerIdentification using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/deleteProfile"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"customerIdentification\": \"YOUR_CUSTOMER_ID\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example customerIdentification import Foundation let credentials = Data(":".utf8).base64EncodedString() let headers = [ "Authorization": "Basic \(credentials)", "Content-Type": "application/json" ] let parameters = ["customerIdentification": "YOUR_CUSTOMER_ID"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/deleteProfile")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```